NucleotideImpl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.NucleotideImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class NucleotideImpl

    java.lang.Object
      org.biojava.bio.structure.HetatomImpl
          org.biojava.bio.structure.NucleotideImpl

All Implemented Interfaces:
  Group

    public class NucleotideImpl

extends HetatomImpl
implements Group

A nucleotide group is almost the same as a Hetatm group.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic
See Also:
  `HetatomImpl`, `AminoAcidImpl`

Field Summary
`static String` | `type` this is a "nucleotide", a special occurance of a Hetatom.

Constructor Summary
`NucleotideImpl()`

Method Summary
`Object` | `clone()` returns and identical copy of this Group object .
`String` | `getType()` Returns the type value.
`String` | `toString()`

Methods inherited from class org.biojava.bio.structure.HetatomImpl
`addAtom, clearAtoms, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, has3D, hasAminoAtoms, hasAtom, iterator, setParent, setPDBCode, setPDBFlag, setPDBName, setProperties, setProperty, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.structure.Group
`addAtom, clearAtoms, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, has3D, hasAminoAtoms, hasAtom, iterator, setParent, setPDBCode, setPDBFlag, setPDBName, setProperties, setProperty, size`

Field Detail

### type

    public static String type

  this is a "nucleotide", a special occurance of a Hetatom.

Constructor Detail

### NucleotideImpl

    public NucleotideImpl()

Method Detail

### getType

    public String getType()

  Description copied from class: `HetatomImpl`
  Returns the type value.

  Specified by:
    `getType` in interface `Group`
  Overrides:
    `getType` in class `HetatomImpl`
  Returns:
    a String representing the type value

### toString

    public String toString()

  Overrides:
    `toString` in class `HetatomImpl`

### clone

    public Object clone()

  Description copied from class: `HetatomImpl`
  returns and identical copy of this Group object .

  Specified by:
    `clone` in interface `Group`
  Overrides:
    `clone` in class `HetatomImpl`
  Returns:
    and identical copy of this Group object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD